6.0.0-git
2021-01-18

[#8600] SQL syntax error in session handling with MSSQL
Summary SQL syntax error in session handling with MSSQL
Queue Horde Base
Queue Version 3.3.5
Type Bug
State Resolved
Priority 2. Medium
Owners selsky (at) columbia (dot) edu
Requester moreda (at) allenta (dot) com
Created 2009-09-23 (4135 days ago)
Due
Updated 2009-09-25 (4133 days ago)
Assigned
Resolved 2009-09-25 (4133 days ago)
Milestone 3.3.6
Patch Yes

History
2009-09-25 14:22:41 CVS Commit Comment #4 Reply to this comment
2009-09-25 09:13:05 Jan Schneider Assigned to Matt Selsky
State ⇒ Resolved
Milestone ⇒ 3.3.6
 
2009-09-23 17:12:58 moreda (at) allenta (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ SQL syntax error in session handling with MSSQL
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ Yes
New Attachment: fix-greater-than-or-equal-to.diff Download
Reply to this comment
This seems to me a syntax error in a SQL sentence that arised when 
using MSSQL as a backend for session information through PEAR's DB 
abstraction layer. In lib/Horde/SessionHandler/sql.php, line 312 you 
can find this query:



         /* Build the SQL query. */

         $query = 'SELECT session_id FROM ' . $this->_params['table'] .

                  ' WHERE session_lastmodified => ?';



which seems incorrect because of the "=>" that should be ">=".

See trivial patch attached.


Saved Queries